## xviewer 1.0.6%2Bsarah

=== debian/changelog ===
xviewer (1.0.6+sarah) sarah; urgency=medium

  * Added support for Xfce

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Jul 2016 15:43:42 +0200

xviewer (1.0.5) sarah; urgency=medium

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 25 Jun 2016 11:58:02 +0100

xviewer (1.0.4) sarah; urgency=medium

  [ Clement Lefebvre ]
  * Fix setting background in MATE
  * Show the program name in the about dialog

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Jun 2016 10:27:13 +0100

xviewer (1.0.3) sarah; urgency=medium

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 May 2016 14:39:52 +0100

xviewer (1.0.2) sarah; urgency=medium

  [ monsta ]
  * avoid integer overflow when allocating a large block of memory

  [ Clement Lefebvre ]
  * build-depend on dh-autoreconf
  * Updated translations

  [tomoe-musashi]
  * update description and pot file

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2016 13:23:07 +0100

xviewer (1.0.1) sarah; urgency=medium

  * Renaming (paths)
  * Renaming (schemas)
  * Updated default icon
  * Updated about dialog
  * Updated help figures
  * Updated help
  * Set-as-wallpaper: Add support for Cinnamon and MATE
  * Added makepot and xviewer.pot to version control

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Feb 2016 16:46:10 +0000

xviewer (1.0.0) experimental; urgency=medium

  * Initial version

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Feb 2016 09:47:00 +0100

## xviewer 3.4.8+faye

=== meson_options.txt ===
option(
    'exempi',
    type: 'feature',
    value: 'auto',
    description: 'enable XMP (libexempi) support'
)

option(
    'exif',
    type: 'feature',
    value: 'auto',
    description: 'enable EXIF (libexif) support'
)

option(
    'jpeg',
    type: 'feature',
    value: 'auto',
    description: 'enable JPEG (libjpeg) support'
)

option(
    'lcms',
    type: 'feature',
    value: 'auto',
    description: 'enable LittleCMS 2 (liblcms2) support'
)

option(
    'rsvg',
    type: 'feature',
    value: 'auto',
    description: 'enable SVG (librsvg) support'
)

option(
    'docs',
    type: 'boolean',
    value: true,
    description: 'Build the API references (requires gtk-doc)'
)

option(
    'deprecated_warnings',
    type : 'boolean',
    value : false,
    description: 'Show build warnings for deprecations'
)

## xviewer 1.0.6+sarah

=== debian/control ===
Source: xviewer
Section: gnome
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Standards-Version: 3.9.6
Homepage: https://github.com/linuxmint/xviewer
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 8),
               dh-autoreconf,
               autotools-dev,
               gnome-pkg-tools (>= 0.10),
               gtk-doc-tools (>= 1.16),
               intltool (>= 0.40.0),
               pkg-config,
               libgtk-3-dev,
               libgdk-pixbuf2.0-dev (>= 2.19.1),
               libglib2.0-dev (>= 2.38.0),
               libgnome-desktop-3-dev (>= 2.91.2),
               shared-mime-info (>= 0.20),
               gsettings-desktop-schemas-dev (>= 2.91.92),
               libpeas-dev (>= 0.7.4),
               yelp-tools,
               zlib1g-dev,
               libexif-dev (>= 0.6.14),
               liblcms2-dev,
               libexempi-dev (>= 1.99.5),
               libjpeg-dev,
               librsvg2-dev (>= 2.36.2),
               libxml2-dev (>= 2.0),
               libatk1.0-dev (>= 1.32.0-2~),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12)
Build-Depends-Indep: libgdk-pixbuf2.0-doc, libglib2.0-doc, libgtk-3-doc

Package: xviewer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
         shared-mime-info (>= 0.20),
         gsettings-desktop-schemas (>= 2.91.92),
         gir1.2-peas-1.0,
         xapps-common (>= 1.0.0)
Recommends: librsvg2-common,
            yelp
Description: Image viewer program
 xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can deal with large
 images, and zoom and scroll with constant memory usage.  Its goals are
 simplicity and standards compliance.

Package: xviewer-dbg
Section: debug
Architecture: any
Priority: extra
Depends: xviewer (= ${binary:Version}),
         ${misc:Depends}
Description: Image viewer program - debugging symbols
 xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can deal with large
 images, and zoom and scroll with constant memory usage.  Its goals are
 simplicity and standards compliance.
 .
 This package contains the debugging symbols.

Package: xviewer-dev
Architecture: all
Depends: xviewer (>= ${source:Version}),
         libgtk-3-dev,
         ${misc:Depends}
Description: Development files for xviewer
 xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can deal with large
 images, and zoom and scroll with constant memory usage.  Its goals are
 simplicity and standards compliance.
 .
 This package contains header files and development information, which
 is needed to build plugins for xviewer.

## xviewer 1.2.2

=== debian/changelog ===
xviewer (1.2.2-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 22 Mar 2018 14:51:18 -0700

xviewer (1.2.2-1mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Add desktop_file.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 01 Feb 2017 16:34:23 -0800

xviewer (1.2.2+serena) serena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Dec 2016 13:01:53 +0000

xviewer (1.2.1) serena; urgency=medium

  * l10n: Update translations
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Nov 2016 00:15:04 +0000

xviewer (1.2.0) serena; urgency=medium

  [ Clement Lefebvre ]
  * Don't show sidebar by default
  * Move menu item to Accessories category

  [ itzexor ]
  * THANKS: Fix incorrect replacement

  [ Clement Lefebvre ]
  * Fix resampling when picture is zoomed
  * Add a View->Reload action and remove the Reload plugin
  * Removed fullscreen and date-in-statusbar plugins
  * Apply custom background color to fullscreen background
  * Fix Rotate and Reload using the same shortcut key

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Nov 2016 15:20:10 +0000

xviewer (1.0.6) sarah; urgency=medium

  * Added support for Xfce

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Jul 2016 15:43:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: xviewer
 Section: gnome
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
 Standards-Version: 3.9.6
 Homepage: https://github.com/linuxmint/xviewer
 Build-Depends: cdbs (>= 0.4.41),
@@ -40,13 +42,12 @@
          shared-mime-info (>= 0.20),
          gsettings-desktop-schemas (>= 2.91.92),
          gir1.2-peas-1.0,
-         xapps-common (>= 1.0.0)
 Recommends: librsvg2-common,
             yelp
-Description: Image viewer program
- xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can deal with large
- images, and zoom and scroll with constant memory usage.  Its goals are
- simplicity and standards compliance.
+Description: image viewer program
+ xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can
+ deal with large images, and zoom and scroll with constant memory usage.  Its
+ goals are simplicity and standards compliance.
 
 Package: xviewer-dbg
 Section: debug

## xviewer 1.4.3+betsy

=== debian/changelog ===
xviewer (1.4.3+betsy) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jun 2017 10:51:37 +0200

xviewer (1.4.2) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 May 2017 14:09:15 +0100

xviewer (1.4.1) sonya; urgency=medium

  * Packaging: Change the description
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 May 2017 14:48:18 +0100

xviewer (1.4.0) sonya; urgency=medium

  [ JosephMcc ]
  * ui: Replace EggEditable toolbar with a GtkToolbar
  * xviewer-window: Show/hide the toolbar with a revealer
  * ui: Switch to using symbolic style icons
  * fullscreen-toolbar: Update the styling
  * ui: Don't handle double click events globally for the window
  * window: Don't hide the sidebar when going fullscreen

  [ Clement Lefebvre ]
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 May 2017 08:36:45 +0100

xviewer (1.2.2) serena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Dec 2016 13:01:53 +0000

## xviewer 1.4.3+sonya

=== debian/changelog ===
xviewer (1.4.3+sonya) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jun 2017 10:51:37 +0200

## xviewer 1.6.1%2Bsylvia

=== debian/changelog ===
xviewer (1.6.1+sylvia) sylvia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Nov 2017 12:35:06 +0000

xviewer (1.6.0) sylvia; urgency=medium

  [ JosephMcc ]
  * Create ISSUE_TEMPLATE.md
  * Update ISSUE_TEMPLATE.md

  [ Cobinja ]
  * Switch zoom buttons in toolbar (#45)

  [ JosephMcc ]
  * fullscreen-toolbar: Fix the slideshow play/pause button icon (#39)

  [ Clement Lefebvre ]
  * Menubar: Change Image menu item to File
  * l10n: Update POT file
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Nov 2017 21:19:42 +0000

xviewer (1.4.3) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jun 2017 10:51:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: xviewer
 Section: gnome
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Standards-Version: 3.9.6
 Homepage: https://github.com/linuxmint/xviewer
 Build-Depends: cdbs (>= 0.4.41),
@@ -42,12 +40,13 @@
          shared-mime-info (>= 0.20),
          gsettings-desktop-schemas (>= 2.91.92),
          gir1.2-peas-1.0,
+         xapps-common (>= 1.0.0)
 Recommends: librsvg2-common,
             yelp
-Description: image viewer program
- xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can
- deal with large images, and zoom and scroll with constant memory usage.  Its
- goals are simplicity and standards compliance.
+Description: Image viewer
+ xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can deal with large
+ images, and zoom and scroll with constant memory usage.  Its goals are
+ simplicity and standards compliance.
 
 Package: xviewer-dbg
 Section: debug
@@ -55,7 +54,7 @@
 Priority: extra
 Depends: xviewer (= ${binary:Version}),
          ${misc:Depends}
-Description: Image viewer program - debugging symbols
+Description: Image viewer - debugging symbols
  xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can deal with large
  images, and zoom and scroll with constant memory usage.  Its goals are
  simplicity and standards compliance.

## xviewer 1.8.1%2Btara

=== debian/changelog ===
xviewer (1.8.1+tara) tara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 May 2018 13:03:13 +0100

xviewer (1.8.0) tara; urgency=medium

  [ Clement Lefebvre ]
  * Add CI configuration
  * EogListStore: Use the CHANGES_DONE_HINT to detect file changes

  [ Michael Webster ]
  * build: Use cinnamon-desktop instead of gnome-desktop.

  [ Leigh Scott ]
  * Fix build with gnome-desktop-3.28 development (#57)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Apr 2018 19:01:19 +0100

xviewer (1.6.1) sylvia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Nov 2017 12:35:06 +0000

## xviewer 2.0.2

=== debian/changelog ===
xviewer (2.0.2-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Convert from native to (quilt) source format.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 17 Mar 2019 11:29:59 -0700

xviewer (2.0.2+cindy) tessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 14:18:58 +0000

xviewer (2.0.1) tessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2018 18:21:48 +0000

xviewer (2.0.0) tessa; urgency=medium

  [ NikoKrause ]
  * Consistent icon usage in all xapps: help-contents (#72)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Nov 2018 10:28:53 +0000

xviewer (1.8.1) tara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 May 2018 13:03:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: xviewer
 Section: gnome
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
 Standards-Version: 3.9.6
 Homepage: https://github.com/linuxmint/xviewer
 Build-Depends: cdbs (>= 0.4.41),
-               debhelper (>= 8),
+               debhelper (>= 10),
                dh-autoreconf,
                autotools-dev,
                gnome-pkg-tools (>= 0.10),
@@ -15,9 +16,8 @@
                libgtk-3-dev,
                libgdk-pixbuf2.0-dev (>= 2.19.1),
                libglib2.0-dev (>= 2.38.0),
-               libgnome-desktop-3-dev (>= 2.91.2),
+               libcinnamon-desktop-dev (>=3.2.0),
                shared-mime-info (>= 0.20),
-               gsettings-desktop-schemas-dev (>= 2.91.92),
                libpeas-dev (>= 0.7.4),
                yelp-tools,
                zlib1g-dev,

## xviewer 2.0.2+tessa

=== debian/changelog ===
xviewer (2.0.2+tessa) tessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 14:18:58 +0000

=== debian/rules ===
#! /usr/bin/make -f 

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc

DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act

binary-post-install/xviewer::
	# remove gir file from xviewer package, it will be in xviewer-dev
	rm -rf `pwd`/debian/xviewer/usr/share/xviewer/gir-1.0/

DEB_DH_GIREPOSITORY_ARGS_xviewer += -ldebian/tmp/usr/share/xviewer/gir-1.0/ /usr/lib/xviewer/girepository-1.0/

common-binary-post-install-arch:: list-missing

## xviewer 2.2.1

=== debian/changelog ===
xviewer (2.2.1-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Convert from native to (quilt) source format.
  * Add desktop-file.patch.
  * Install a menu icon in /usr/share/pixmaps.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 30 Sep 2019 15:01:19 -0700

xviewer (2.2.1+cindy) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 15:10:12 +0200

xviewer (2.2.0) tina; urgency=medium

  * Add Ctrl+Q shortcut to close window
  * l10n: Update translations

=== debian/control ===
--- 
+++ 
@@ -44,9 +44,9 @@
 Recommends: librsvg2-common,
             yelp
 Description: Image viewer
- xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can deal with large
- images, and zoom and scroll with constant memory usage.  Its goals are
- simplicity and standards compliance.
+ Xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can
+ deal with large images, and zoom and scroll with constant memory usage. Its
+ goals are simplicity and standards compliance.
 
 Package: xviewer-dbg
 Section: debug
@@ -55,9 +55,9 @@
 Depends: xviewer (= ${binary:Version}),
          ${misc:Depends}
 Description: Image viewer - debugging symbols
- xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can deal with large
- images, and zoom and scroll with constant memory usage.  Its goals are
- simplicity and standards compliance.
+ Xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can
+ deal with large images, and zoom and scroll with constant memory usage. Its
+ goals are simplicity and standards compliance.
  .
  This package contains the debugging symbols.
 
@@ -67,9 +67,9 @@
          libgtk-3-dev,
          ${misc:Depends}
 Description: Development files for xviewer
- xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can deal with large
- images, and zoom and scroll with constant memory usage.  Its goals are
- simplicity and standards compliance.
+ Xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can
+ deal with large images, and zoom and scroll with constant memory usage. Its
+ goals are simplicity and standards compliance.
  .
  This package contains header files and development information, which
  is needed to build plugins for xviewer.

## xviewer 2.2.1%2Bcindy

=== debian/changelog ===
xviewer (2.0.2) tessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 14:18:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: xviewer
 Section: gnome
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Standards-Version: 3.9.6
 Homepage: https://github.com/linuxmint/xviewer
 Build-Depends: cdbs (>= 0.4.41),
-               debhelper (>= 10),
+               debhelper (>= 8),
                dh-autoreconf,
                autotools-dev,
                gnome-pkg-tools (>= 0.10),
@@ -44,9 +43,9 @@
 Recommends: librsvg2-common,
             yelp
 Description: Image viewer
- Xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can
- deal with large images, and zoom and scroll with constant memory usage. Its
- goals are simplicity and standards compliance.
+ xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can deal with large
+ images, and zoom and scroll with constant memory usage.  Its goals are
+ simplicity and standards compliance.
 
 Package: xviewer-dbg
 Section: debug
@@ -55,9 +54,9 @@
 Depends: xviewer (= ${binary:Version}),
          ${misc:Depends}
 Description: Image viewer - debugging symbols
- Xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can
- deal with large images, and zoom and scroll with constant memory usage. Its
- goals are simplicity and standards compliance.
+ xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can deal with large
+ images, and zoom and scroll with constant memory usage.  Its goals are
+ simplicity and standards compliance.
  .
  This package contains the debugging symbols.
 
@@ -67,9 +66,9 @@
          libgtk-3-dev,
          ${misc:Depends}
 Description: Development files for xviewer
- Xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can
- deal with large images, and zoom and scroll with constant memory usage. Its
- goals are simplicity and standards compliance.
+ xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can deal with large
+ images, and zoom and scroll with constant memory usage.  Its goals are
+ simplicity and standards compliance.
  .
  This package contains header files and development information, which
  is needed to build plugins for xviewer.

## xviewer 2.2.1+tina

=== debian/changelog ===
xviewer (2.2.1+tina) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 15:10:12 +0200

## xviewer 2.4.3+tricia

=== debian/changelog ===
xviewer (2.4.3+tricia) tricia; urgency=medium

  [ Michael Webster ]
  * xviewer-scroll-view.c: Avoid crashing when attempting to create a surface from a pixbuf that is too large to render.

  [ Clement Lefebvre ]
  * l10n: Update translations

  [ Serge Leger ]
  * Corrected strftime-formatted string. (#89)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 11:25:43 +0000

xviewer (2.4.2) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2019 14:47:30 +0000

xviewer (2.4.1) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:18:19 +0000

xviewer (2.4.0) tricia; urgency=medium

  [ Jami Kettunen ]
  * Add Ctrl+KP_0 shortcut to reset the image zoom (#86)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2019 11:37:20 +0000

xviewer (2.2.1) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 15:10:12 +0200

## xviewer 2.6.2+ulyana

=== debian/changelog ===
xviewer (2.6.2+ulyana) ulyana; urgency=medium

  * CI: Update targets

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:48:57 +0100

xviewer (2.6.1) ulyana; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:11:36 +0100

xviewer (2.6.0) ulyana; urgency=medium

  [ Michael Webster ]
  * Commit some files that get altered during the build.

  [ programmer-ceds ]
  * Remember Maximized State (#95)

  [ Michael Webster ]
  * Get rid of autogenerated garbage, gconf references.

  [ programmer-ceds ]
  * Key1 behaviour changes
  * Non auto rotate error (#97)

  [ Sujit Agarwal ]
  * Add "View Fullscreen" and "View Slideshow" buttons to toolbar

  [ Clement Lefebvre ]
  * l10n: Update translations
  * UI: Bump minimum window width
  * Toolbar: Use a symbolic icon for diaporama

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 May 2020 15:48:58 +0100

xviewer (2.4.3) tricia; urgency=medium

  [ Michael Webster ]
  * xviewer-scroll-view.c: Avoid crashing when attempting to create a surface from a pixbuf that is too large to render.

  [ Clement Lefebvre ]
  * l10n: Update translations

  [ Serge Leger ]
  * Corrected strftime-formatted string. (#89)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 11:25:43 +0000

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
          shared-mime-info (>= 0.20),
          gsettings-desktop-schemas (>= 2.91.92),
          gir1.2-peas-1.0,
-         xapps-common (>= 1.0.0)
+         xapps-common (>= 1.8.4)
 Recommends: librsvg2-common,
             yelp
 Description: Image viewer

## xviewer 2.8.3%2Bulyssa

=== debian/changelog ===
xviewer (2.8.3+ulyssa) ulyssa; urgency=medium

  [ Michael Webster ]
  * xviewer-window.c: Add missing NULL terminator to mimetype array.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Jan 2021 15:46:31 +0000

xviewer (2.8.2) ulyssa; urgency=medium

  [ programmer-ceds ]
  * Handle Wrong Extensions
  * BMP 24-bit Fix (#125)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 17:33:33 +0000

xviewer (2.8.1) ulyssa; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Rename some msgids

  [ programmer-ceds ]
  * JPG over 16384 pixels

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:14:38 +0000

xviewer (2.8.0) ulyssa; urgency=medium

  [ programmer-ceds ]
  * Configure Mouse Wheel (#111)

  [ Michael Webster ]
  * Make the mouse preferences tab look a bit more consistent with the other tabs and other apps.

  [ programmer-ceds ]
  * Stop Centering Window
  * Delete Dialog Focus
  * Delete Dialog Focus

  [ Michael Webster ]
  * Add favorites to the file menu.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Nov 2020 11:21:50 +0000

xviewer (2.6.2) ulyana; urgency=medium

  * CI: Update targets

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:48:57 +0100

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
                librsvg2-dev (>= 2.36.2),
                libxml2-dev (>= 2.0),
                libatk1.0-dev (>= 1.32.0-2~),
+               libxapp-dev (>= 1.9.0),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12)
 Build-Depends-Indep: libgdk-pixbuf2.0-doc, libglib2.0-doc, libgtk-3-doc
@@ -39,7 +40,7 @@
          shared-mime-info (>= 0.20),
          gsettings-desktop-schemas (>= 2.91.92),
          gir1.2-peas-1.0,
-         xapps-common (>= 1.8.4)
+         xapps-common (>= 1.9.0)
 Recommends: librsvg2-common,
             yelp
 Description: Image viewer

## xviewer 3.0.2+debbie

=== debian/changelog ===
xviewer (3.0.2+debbie) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:47 +0100

xviewer (3.0.1) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 11:12:19 +0100

xviewer (3.0.0) uma; urgency=medium

  [ Talkashie ]
  * Fix typos in the Contents page (#127)

  [ Cerulean ]
  * Where a list of multiple files is supplied containing no directories, display them in the order it specifies, rather than sorting. Replace some unnecessary g_list_length calls.

  [ programmer-ceds ]
  * Spacebar Optionally Pauses Slideshow

  [ Michael Webster ]
  * xviewer-preferences-dialog.c: Tweak new labels in preferences, fix text alignment.

  [ programmer-ceds ]
  * Open svgz files (Fixes: https://github.com/linuxmint/xviewer/issues/128) (#129)

  [ Clement Lefebvre ]
  * i18n: Don't translate gsettings strings
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 Jun 2021 13:04:14 +0100

xviewer (2.8.3) ulyssa; urgency=medium

  [ Michael Webster ]
  * xviewer-window.c: Add missing NULL terminator to mimetype array.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Jan 2021 15:46:31 +0000

## xviewer 3.0.2+uma

=== debian/changelog ===
xviewer (3.0.2+uma) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:47 +0100

## xviewer 3.2.4+una

=== debian/changelog ===
xviewer (3.2.4+una) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 13:11:35 +0000

xviewer (3.2.3) una; urgency=medium

  * Move new symbolic icons to xapp library

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Dec 2021 14:03:02 +0000

xviewer (3.2.2) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 16:02:59 +0000

xviewer (3.2.1) una; urgency=medium

  [ programmer-ceds ]
  * Add fit to width and fit to height (#155)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 29 Nov 2021 10:14:51 +0000

xviewer (3.2.0) una; urgency=medium

  [ Clement Lefebvre ]
  * Disable dark mode in Xfce

  [ programmer-ceds ]
  * help: Reorder shortcuts (#153)
  * zoom: Use CAIRO_FILTER_GOOD while zooming (#147)
  * Refresh when the picture is modified externally (#152)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Nov 2021 12:51:37 +0000

xviewer (3.0.2) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:47 +0100

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
          shared-mime-info (>= 0.20),
          gsettings-desktop-schemas (>= 2.91.92),
          gir1.2-peas-1.0,
-         xapps-common (>= 1.9.0)
+         xapps-common (>= 2.2.7)
 Recommends: librsvg2-common,
             yelp
 Description: Image viewer

## xviewer 3.2.7+vanessa

=== debian/changelog ===
xviewer (3.2.7+vanessa) vanessa; urgency=medium

  [ Michael Webster ]
  * Add webp support.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 01 Jul 2022 16:17:32 +0200

xviewer (3.2.6) vanessa; urgency=medium

  * CI: Update targets
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Jun 2022 14:23:33 +0200

xviewer (3.2.5) vanessa; urgency=medium

  [ okaestne ]
  * Port to meson
  * control: capitalize Xviewer in package desc
  * fix lintian warnings
  * update AppStream metadata
  * Use meson's i18n.merge_file (gettext) ... instead of intltool-merge.
  * Add README.md with general information and build steps

  [ Oliver Kästner ]
  * build: add install scripts for non-debian builds (#158)

  [ okaestne ]
  * remove unused variables
  * fix misleading-indentation warnings
  * fix/add checked type casts
  * fix: move .typelib and .gir dirs into private dir

  [ programmer-ceds ]
  * Handle repeated prev and next keys (#164)

 -- Clement Lefebvre <clem@macbook>  Sat, 11 Jun 2022 13:01:41 +0200

xviewer (3.2.4) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 13:11:35 +0000

## xviewer 3.2.10%2Belsie

=== debian/changelog ===
xviewer (3.2.10+elsie) vanessa; urgency=medium

  [ programmer-ceds ]
  * Fix Batch Save - issue #168 (#169)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 01 Aug 2022 16:02:52 +0200

xviewer (3.2.9) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:41:00 +0200

xviewer (3.2.8) vanessa; urgency=medium

  [ Bobby Rong ]
  * build: add missing gio-unix-2.0 dependency (#170)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Jul 2022 08:07:54 +0200

xviewer (3.2.7) vanessa; urgency=medium

  [ Michael Webster ]
  * Add webp support.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 01 Jul 2022 16:17:32 +0200

## xviewer 3.2.10+vanessa

=== debian/changelog ===
xviewer (3.2.10+vanessa) vanessa; urgency=medium

  [ programmer-ceds ]
  * Fix Batch Save - issue #168 (#169)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 01 Aug 2022 16:02:52 +0200

## xviewer 3.2.12+elsie

=== debian/changelog ===
xviewer (3.2.12+elsie) vera; urgency=medium

  [ Vladimir Didenko ]
  * Use upper case names for boolean constants (False -> FALSE, True -> TRUE). Not all distros support not-upper case variant (#178)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 16:02:53 +0000

xviewer (3.2.11) vera; urgency=medium

  [ Michael Webster ]
  * Use github actions for CI builds.

  [ programmer-ceds ]
  * Handle repeated prev/next keys  (#172)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2022 16:21:54 +0000

xviewer (3.2.10) vanessa; urgency=medium

  [ programmer-ceds ]
  * Fix Batch Save - issue #168 (#169)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 01 Aug 2022 16:02:52 +0200

=== debian/control ===
Source: xviewer
Section: graphics
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Standards-Version: 3.9.6
Homepage: https://github.com/linuxmint/xviewer
Build-Depends: debhelper-compat (= 12),
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools (>= 1.16),
               libatk1.0-dev (>= 1.32.0-2~),
               libcinnamon-desktop-dev (>=3.2.0),
               libexempi-dev (>= 1.99.5),
               libexif-dev (>= 0.6.14),
               libgdk-pixbuf2.0-dev (>= 2.19.1),
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.38.0),
               libgtk-3-dev,
               libjpeg-dev,
               liblcms2-dev,
               libpeas-dev (>= 0.7.4),
               librsvg2-dev (>= 2.36.2),
               libxapp-dev (>= 1.9.0),
               libxml2-dev (>= 2.0),
               meson (>= 0.49.0),
               shared-mime-info (>= 0.20),
               yelp-tools,
               zlib1g-dev
Build-Depends-Indep: libgdk-pixbuf2.0-doc, libglib2.0-doc, libgtk-3-doc

Package: xviewer
Section: graphics
Architecture: any
Depends: gir1.2-peas-1.0,
         gsettings-desktop-schemas (>= 2.91.92),
         shared-mime-info (>= 0.20),
         xapps-common (>= 2.2.7),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: librsvg2-common, webp-pixbuf-loader, yelp
Description: Image viewer
 Xviewer is a simple image viewer which uses the gdk-pixbuf library. It can
 deal with large images, and zoom and scroll with constant memory usage.
 Its goals are simplicity and standards compliance.

Package: xviewer-dbg
Section: debug
Architecture: any
Priority: extra
Depends: xviewer (= ${binary:Version}), ${misc:Depends}
Description: Image viewer - debugging symbols
 Xviewer is a simple image viewer which uses the gdk-pixbuf library.  It can deal with large
 images, and zoom and scroll with constant memory usage.  Its goals are
 simplicity and standards compliance.
 .
 This package contains the debugging symbols.

Package: xviewer-dev
Section: libdevel
Architecture: any
Depends: gir1.2-xviewer-3.0 (= ${binary:Version}),
         libgtk-3-dev,
         xviewer (>= ${binary:Version}),
         ${misc:Depends}
Description: Development files for Xviewer
 Xviewer is a simple image viewer which uses the gdk-pixbuf library. It can
 deal with large images, and zoom and scroll with constant memory usage.
 Its goals are simplicity and standards compliance.
 .
 This package contains header files and development information, which
 is needed to build plugins for Xviewer.

Package: gir1.2-xviewer-3.0
Section: introspection
Architecture: any
Depends: xviewer (= ${binary:Version}), ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for Xviewer
 Xviewer is a simple image viewer which uses the gdk-pixbuf library. It can
 deal with large images, and zoom and scroll with constant memory usage.
 Its goals are simplicity and standards compliance.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

## xviewer 3.2.12+vera

=== debian/changelog ===
xviewer (3.2.12+vera) vera; urgency=medium

  [ Vladimir Didenko ]
  * Use upper case names for boolean constants (False -> FALSE, True -> TRUE). Not all distros support not-upper case variant (#178)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 16:02:53 +0000

## xviewer 3.4.0+victoria

=== debian/changelog ===
xviewer (3.4.0+victoria) victoria; urgency=medium

  * Add AVIF and HEIF support.
  * Add dark mode support

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 10:34:17 +0100

xviewer (3.2.12) vera; urgency=medium

  [ Vladimir Didenko ]
  * Use upper case names for boolean constants (False -> FALSE, True -> TRUE). Not all distros support not-upper case variant (#178)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 16:02:53 +0000

## xviewer 3.4.1%2Bvictoria

=== debian/changelog ===
xviewer (3.4.1+victoria) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:09:50 +0100

xviewer (3.4.0) victoria; urgency=medium

  * Add AVIF and HEIF support.
  * Add dark mode support

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 10:34:17 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                liblcms2-dev,
                libpeas-dev (>= 0.7.4),
                librsvg2-dev (>= 2.36.2),
-               libxapp-dev (>= 1.9.0),
+               libxapp-dev (>= 2.5.0),
                libxml2-dev (>= 2.0),
                meson (>= 0.49.0),
                shared-mime-info (>= 0.20),
@@ -33,10 +33,10 @@
 Depends: gir1.2-peas-1.0,
          gsettings-desktop-schemas (>= 2.91.92),
          shared-mime-info (>= 0.20),
-         xapps-common (>= 2.2.7),
+         xapps-common (>= 2.5.0),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: librsvg2-common, webp-pixbuf-loader, yelp
+Recommends: librsvg2-common, webp-pixbuf-loader, heif-gdk-pixbuf, yelp
 Description: Image viewer
  Xviewer is a simple image viewer which uses the gdk-pixbuf library. It can
  deal with large images, and zoom and scroll with constant memory usage.

## xviewer 3.4.1+faye

=== debian/changelog ===
xviewer (3.4.1+faye) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:09:50 +0100

## xviewer 3.4.2+virginia

=== debian/changelog ===
xviewer (3.4.2+virginia) virginia; urgency=medium

  [ Hiers ]
  * Fix potential infinite while loop and interpreting unsigned int as signed.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Nov 2023 11:18:37 +0000

xviewer (3.4.1) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:09:50 +0100

## xviewer 3.4.3+virginia

=== debian/changelog ===
xviewer (3.4.3+virginia) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:23:36 +0000

xviewer (3.4.2) virginia; urgency=medium

  [ Hiers ]
  * Fix potential infinite while loop and interpreting unsigned int as signed.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Nov 2023 11:18:37 +0000

## xviewer 3.4.4+virginia

=== debian/changelog ===
xviewer (3.4.4+virginia) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:10:09 +0000

xviewer (3.4.3) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:23:36 +0000

## xviewer 3.4.4+wilma

=== debian/changelog ===
xviewer (3.4.4+wilma) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:10:09 +0000

## xviewer 3.4.5+wilma

=== debian/changelog ===
xviewer (3.4.5+wilma) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 21:01:35 +0100

xviewer (3.4.4) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:10:09 +0000

## xviewer 3.4.6%2Bwilma

=== debian/changelog ===
xviewer (3.4.6+wilma) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 11:02:04 +0100

xviewer (3.4.5) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 21:01:35 +0100

## xviewer 3.4.6+faye

=== debian/changelog ===
xviewer (3.4.6+faye) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 11:02:04 +0100

## xviewer 3.4.6+xia

=== debian/changelog ===
xviewer (3.4.6+xia) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 11:02:04 +0100

## xviewer 3.4.7+xia

=== debian/changelog ===
xviewer (3.4.7+xia) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:59:31 +0000

xviewer (3.4.6) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 11:02:04 +0100

## xviewer 3.4.8~mx23

=== debian/changelog ===
xviewer (3.4.8~mx23) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 26 Jan 2025 16:00:15 +0000

xviewer (3.4.8) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 14:21:26 +0000

xviewer (3.4.7) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:59:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xviewer
 Section: graphics
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
 Standards-Version: 3.9.6
 Homepage: https://github.com/linuxmint/xviewer
 Build-Depends: debhelper-compat (= 12),

## xviewer 3.4.8+faye

=== debian/changelog ===
xviewer (3.4.8+faye) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 14:21:26 +0000

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --with gir


override_dh_auto_configure:
	dh_auto_configure -- \
		-D deprecated_warnings=false \
		-D docs=true \
		-D exempi=enabled \
		-D exif=enabled \
		-D jpeg=enabled \
		-D lcms=enabled \
		-D rsvg=enabled

override_dh_strip:
	dh_strip --dbg-package=xviewer-dbg

# needed to find the library in it's subdir
override_dh_girepository:
	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/xviewer

# Disabled
override_dh_dwz:
override_dh_auto_test:

## xviewer 3.4.8+xia

=== debian/changelog ===
xviewer (3.4.8+xia) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 14:21:26 +0000

## xviewer 3.4.9+zara

=== debian/changelog ===
xviewer (3.4.9+zara) zara; urgency=medium

  [ Clement Lefebvre ]
  * Make color correction optional and disabled by default
  * Preferences: Adjust spacing
  * l10n: Update POT

  [ Yannis Gerlach ]
  * add mutex locks and unlocks to xviewer_list_store (#202)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Jul 2025 15:01:02 +0200

## xviewer 3.4.10+zara

=== debian/changelog ===
xviewer (3.4.10+zara) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 12:37:33 +0200

xviewer (3.4.9) zara; urgency=medium

  [ Clement Lefebvre ]
  * Make color correction optional and disabled by default
  * Preferences: Adjust spacing
  * l10n: Update POT

  [ Yannis Gerlach ]
  * add mutex locks and unlocks to xviewer_list_store (#202)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Jul 2025 15:01:02 +0200

## xviewer 3.4.11+zara

=== debian/changelog ===
xviewer (3.4.11+zara) zara; urgency=medium

  [ Michael Webster ]
  * xviewer-list-store.c: Fix double lock condition when adding images.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 05 Aug 2025 09:47:50 +0200

xviewer (3.4.10) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 12:37:33 +0200

## xviewer 3.4.12%2Bgigi

=== debian/changelog ===
xviewer (3.4.12+gigi) zara; urgency=medium

  [ Michael Webster ]
  * Revert 7a7b55b (add mutex locks...)
  * misc: Avoid some navigation warnings that can crop up when images are actively loading in the background.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 18:07:36 +0200

xviewer (3.4.11) zara; urgency=medium

  [ Michael Webster ]
  * xviewer-list-store.c: Fix double lock condition when adding images.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 05 Aug 2025 09:47:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xviewer
 Section: graphics
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
-XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Standards-Version: 3.9.6
 Homepage: https://github.com/linuxmint/xviewer
 Build-Depends: debhelper-compat (= 12),
@@ -12,7 +11,7 @@
                libcinnamon-desktop-dev (>=3.2.0),
                libexempi-dev (>= 1.99.5),
                libexif-dev (>= 0.6.14),
-               libgdk-pixbuf2.0-dev (>= 2.19.1),
+               libgdk-pixbuf-xlib-2.0-dev,
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.38.0),
                libgtk-3-dev,

## xviewer 3.4.12%2Bzara

=== debian/changelog ===
xviewer (3.4.12+zara) zara; urgency=medium

  [ Michael Webster ]
  * Revert 7a7b55b (add mutex locks...)
  * misc: Avoid some navigation warnings that can crop up when images are actively loading in the background.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 18:07:36 +0200

## xviewer 3.4.13+zena

=== debian/changelog ===
xviewer (3.4.13+zena) zena; urgency=medium

  [ Clement Lefebvre ]
  * packaging: Don't depend on a transitional package name
  * Switch to XApp symbolic icons
  * Switch to xapp-symbolic-icons (XSI)

  [ Pierce Lopez ]
  * fix xviewer-metadata-sidebar.h include guard typo (#215)
  * fix indent of some new priv->modified code (#216)

  [ Jan Alexander Steffens ]
  * Fix GDK-PixBuf refcounting (#221)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Nov 2025 14:20:45 +0000

xviewer (3.4.12) zara; urgency=medium

  [ Michael Webster ]
  * Revert 7a7b55b (add mutex locks...)
  * misc: Avoid some navigation warnings that can crop up when images are actively loading in the background.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 18:07:36 +0200

## xviewer 3.4.14+zena

=== debian/changelog ===
xviewer (3.4.14+zena) zena; urgency=medium

  [ Cobinja ]
  * Fix a focus bug when opening a new maximized window (#227)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Dec 2025 14:50:45 +0000

xviewer (3.4.13) zena; urgency=medium

  [ Clement Lefebvre ]
  * packaging: Don't depend on a transitional package name
  * Switch to XApp symbolic icons
  * Switch to xapp-symbolic-icons (XSI)

  [ Pierce Lopez ]
  * fix xviewer-metadata-sidebar.h include guard typo (#215)
  * fix indent of some new priv->modified code (#216)

  [ Jan Alexander Steffens ]
  * Fix GDK-PixBuf refcounting (#221)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Nov 2025 14:20:45 +0000

## xviewer 3.4.15+zena

=== debian/changelog ===
xviewer (3.4.15+zena) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 17:07:59 +0000

xviewer (3.4.14) zena; urgency=medium

  [ Cobinja ]
  * Fix a focus bug when opening a new maximized window (#227)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Dec 2025 14:50:45 +0000

## xviewer 3.4.16+gigi

=== debian/changelog ===
xviewer (3.4.16+gigi) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 16:32:56 +0000

xviewer (3.4.15) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 17:07:59 +0000

## xviewer 3.4.16+zena

=== debian/changelog ===
xviewer (3.4.16+zena) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 16:32:56 +0000
